Package org.eclipse.emf.cdo.ui.widgets

# Interface CommitHistoryComposite.Input.ObjectModifier

Enclosing class:
  CommitHistoryComposite.Input

public static interface CommitHistoryComposite.Input.ObjectModifier
Allows implementors to display alternative histories for selected `model objects`.

Since:
  4.9
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CommitHistoryComposite.Input.ObjectModifier.Factory`
Creates `object modifier` instances.

## Method Summary

Modifier and Type
Method
Description
`Object`
`modifyObject(EObject object)`

## Method Details

### modifyObject

Object modifyObject(EObject object)